Bug 620897 - (CVE-2010-2536) CVE-2010-2536 rekonq: universal XSS issue
CVE-2010-2536 rekonq: universal XSS issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20091205,reported=20100802,sou...
: Security
Depends On: 620899
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 14:06 EDT by Vincent Danen
Modified: 2016-03-04 06:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-29 08:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-03 14:06:09 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2536 to
the following vulnerability:

Name: CVE-2010-2536
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2536
Assigned: 20100630
Reference: MLIST:[oss-security] 20100721 Re: Universal XSS in Rekonq
Reference: URL: http://marc.info/?l=oss-security&m=127973502617945&w=2
Reference: MLIST:[oss-security] 20100721 Universal XSS in Rekonq
Reference: URL: http://marc.info/?l=oss-security&m=127971194610788&w=2
Reference: CONFIRM: https://bugs.kde.org/show_bug.cgi?id=217464
Reference: OSVDB:66568
Reference: URL: http://www.osvdb.org/66568
Reference: SECUNIA:40646
Reference: URL: http://secunia.com/advisories/40646

Multiple cross-site scripting (XSS) vulnerabilities in rekonq 0.5 and
earlier allow remote attackers to inject arbitrary web script or HTML
via (1) a URL associated with a nonexistent domain name, related to
webpage.cpp, aka a "universal XSS" issue; (2) unspecified vectors
related to webview.cpp; and the about: views for (3) favorites, (4)
bookmarks, (5) closed tabs, and (6) history.
Comment 1 Vincent Danen 2010-08-03 14:08:29 EDT
The upstream bug report includes a patch that should correct this issue.  It would affect rekonq on all currently supported Fedora versions (12, 13, and rawhide).
Comment 2 Vincent Danen 2010-08-03 14:09:01 EDT
Created rekonq tracking bugs for this issue

Affects: fedora-all [bug 620899]

Note You need to log in before you can comment on or make changes to this bug.